> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletsuite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Chains info

> Returns chain families and chain counts per family.



## OpenAPI

````yaml /openapi.json get /api/info/chains
openapi: 3.1.0
info:
  title: WalletSuite REST API
  description: >-
    Multi-chain wallet operations, balances, prices, and transaction lifecycle
    as a REST API.
  contact:
    name: WalletSuite
    url: https://walletsuite.io
  version: prod
servers:
  - url: https://api.walletsuite.io
    description: WalletSuite API
security:
  - ApiKeyAuth: []
tags:
  - name: Transactions
    description: >-
      Get transaction history by address, check live transaction status, and
      send signed transactions.
  - name: Fees
    description: Fee estimation endpoints
  - name: Balances
    description: Fetch balances on any supported chain (Ethereum, Tron).
  - name: Assets
    description: >-
      List supported blockchain assets from the database loaded at startup from
      bundled resources
  - name: Asset Status
    description: Asset enablement and restrictions.
  - name: Prices
    description: Fiat prices for symbols and contract addresses
  - name: Swaps
    description: Swap quote, route, and transaction building.
  - name: Approvals
    description: Allowance, approval tx data, and approval status.
  - name: NFTs
    description: NFT collections, tokens, owners, and transfer building.
  - name: Staking
    description: Native staking APR, validators, positions, and transaction building.
  - name: Name Service
    description: Name resolution and reverse resolution.
  - name: Chains
    description: Chain registry and chain capabilities.
  - name: Chain Specific
    description: Chain specific endpoints consumable by SDK.
  - name: Blocks
    description: View most recently indexed block information.
  - name: Info
    description: General information and summary counts.
paths:
  /api/info/chains:
    get:
      tags:
        - Info
      summary: Chains info
      description: Returns chain families and chain counts per family.
      operationId: chains
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResponseChainsInfoDto'
components:
  schemas:
    ApiResponseChainsInfoDto:
      type: object
      properties:
        ok:
          type: boolean
        code:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/ChainsInfoDto'
      required:
        - code
        - message
        - ok
    ChainsInfoDto:
      type: object
      properties:
        totalChains:
          type: integer
          format: int64
        totalChainFamilies:
          type: integer
          format: int64
        families:
          type: array
          items:
            $ref: '#/components/schemas/ChainFamilyInfoDto'
      required:
        - families
        - totalChainFamilies
        - totalChains
    ChainFamilyInfoDto:
      type: object
      properties:
        totalChains:
          type: integer
          format: int64
        chainFamily:
          type: string
        enabledChains:
          type: integer
          format: int64
      required:
        - chainFamily
        - enabledChains
        - totalChains
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key provided by WalletSuite team
      name: x-api-key
      in: header

````